# You can specify a custom docker image from Docker Hub as your build environment.
# image: atlassian/default-image:latest
# image: jaewonpark/solidsimdep
image: jaewonpark/docker-g4

pipelines:
    default:
        - step:
            script:
                - mkdir solid-build
                - cd solid-build
                - ls /sw/
                - ls /sw/geant4-build
                - cmake ../SOLID
                - make
#    branches:
#        forNewG4repo:
#            - step:
#                script:
#                - mkdir solid-build
#                - cd solid-build
#                - ls /sw/
#                - ls /sw/geant4-build
#                - cmake ../SOLID
#                - make
#                - ./SolidSim ../input_macros/testG.mac
